# Uses of Class
org.eclipse.birt.chart.computation.withaxes.AutoScale.ScaleInfo

Packages that use AutoScale.ScaleInfo
Package
Description
org.eclipse.birt.chart.computation.withaxes
This is a placeholder file for the org.eclipse.birt.chart.computation.withaxes package.

## Uses of AutoScale.ScaleInfo in org.eclipse.birt.chart.computation.withaxes

Methods in org.eclipse.birt.chart.computation.withaxes that return AutoScale.ScaleInfo
Modifier and Type
Method
Description
`AutoScale.ScaleInfo`
AutoScale.ScaleInfo.`bMaximumFixed(boolean bMaximumFixed)`
`AutoScale.ScaleInfo`
AutoScale.ScaleInfo.`bMinimumFixed(boolean bMinimumFixed)`
`AutoScale.ScaleInfo`
AutoScale.ScaleInfo.`bStepFixed(boolean bStepFixed)`
`AutoScale.ScaleInfo`
AutoScale.ScaleInfo.`dFactor(double dFactor)`
`AutoScale.ScaleInfo`
AutoScale.ScaleInfo.`dPrecision(double dPrecision)`
`AutoScale.ScaleInfo`
AutoScale.ScaleInfo.`dsiData(DataSetIterator dsiData)`
`AutoScale.ScaleInfo`
AutoScale.ScaleInfo.`dZoomFactor(double dZoomFactor)`
`AutoScale.ScaleInfo`
AutoScale.ScaleInfo.`iMarginPercent(int iMarginPercent)`
`AutoScale.ScaleInfo`
AutoScale.ScaleInfo.`iMinUnit(int iMinUnit)`
`AutoScale.ScaleInfo`
AutoScale.ScaleInfo.`oMaximumFixed(Object oMaximumFixed)`
`AutoScale.ScaleInfo`
AutoScale.ScaleInfo.`oMinimumFixed(Object oMinimumFixed)`
Constructors in org.eclipse.birt.chart.computation.withaxes with parameters of type AutoScale.ScaleInfo
Modifier
Constructor
Description
``
`AutoScale(AutoScale.ScaleInfo info)`
``
`AutoScale(AutoScale.ScaleInfo info, ScaleContext context)`